Name:           python-dbt-sqlite
Version:        1.10.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A SQLite adapter plugin for dbt (data build tool)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/codeforkjeff/dbt-sqlite
Source:         %{pypi_source dbt_sqlite}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbt-sqlite' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbt-sqlite
Summary:        %{summary}

%description -n python3-dbt-sqlite %_description


%prep
%autosetup -p1 -n dbt_sqlite-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbt-sqlite -f %{pyproject_files}


%changelog
%autochangelog